Subject: [pkix] [Technical Errata Reported] RFC6277 (5892)

From: RFC Errata System <[email-masked]>
Date: Fri, 1 Nov 2019 18:26:13 -0700 (PDT)

The following errata report has been submitted for RFC6277,
"Online Certificate Status Protocol Algorithm Agility".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid5892

--------------------------------------
Type: Technical
Reported by: Russ Housley <[email-masked]>

Section: Appendix A.1

Original Text
-------------
   PreferredSignatureAlgorithm ::= SEQUENCE {
    sigIdentifier       AlgorithmIdentifier{SIGNATURE-ALGORITHM, {...}},
    pubKeyAlgIdentifier SMIMECapability{PUBLIC-KEY, {...}} OPTIONAL  }

Corrected Text
--------------
   PreferredSignatureAlgorithm ::= SEQUENCE {
    sigIdentifier       AlgorithmIdentifier{SIGNATURE-ALGORITHM, {...}},
    pubKeyAlgIdentifier AlgorithmIdentifier{PUBLIC-KEY, {...}} OPTIONAL}

Notes
-----
The original ASN.1 definition does not compile.  The correction uses a syntax that is aligned with RFC 6960, which obsoletes RFC 6277.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6277 (draft-ietf-pkix-ocspagility-10)
--------------------------------------
Title               : Online Certificate Status Protocol Algorithm Agility
Publication Date    : June 2011
Author(s)           : S. Santesson, P. Hallam-Baker
Category            : PROPOSED STANDARD
Source              : Public-Key Infrastructure (X.509)
Area                : Security
Stream              : IETF
Verifying Party     : IESG

---

From: Benjamin Kaduk <[email-masked]>
Date: Wed, 6 Nov 2019 09:11:29 -0800

> "Online Certificate Status Protocol Algorithm Agility".

Is this going to encode in the same way as the 1988-syntax version (from
Appendix A.2):

     PreferredSignatureAlgorithm ::= SEQUENCE {
        sigIdentifier        AlgorithmIdentifier,
        pubKeyAlgIdentifier  SMIMECapability OPTIONAL
        }

-Ben

---

From: Russ Housley <[email-masked]>
Date: Wed, 6 Nov 2019 13:05:51 -0500

>        pubKeyAlgIdentifier  SMIMECapability OPTIONAL

Yes, this will produce the same "bits on the wire".

Russ

---

From: Jim Schaad <[email-masked]>
Date: Wed, 6 Nov 2019 11:30:27 -0800

-----Original Message-----
From: pkix <[email-masked]> On Behalf Of Benjamin Kaduk
Sent: Wednesday, November 6, 2019 9:11 AM
To: RFC Errata System <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked];
[email-masked]
Subject: Re: [pkix] [Technical Errata Reported] RFC6277 (5892)

On Fri, Nov 01, 2019 at 06:26:13PM -0700, RFC Errata System wrote:
> The following errata report has been submitted for RFC6277, "Online 
> Certificate Status Protocol Algorithm Agility".
> 

-Ben

[JLS]  From RFC 5755

SMIMECapability ::= SEQUENCE {
      capabilityID OBJECT IDENTIFIER,
      parameters ANY DEFINED BY capabilityID OPTIONAL }

Which is the same structure as what AlgorithmIdentifier uses.

Jim

> Notes
> -----
> The original ASN.1 definition does not compile.  The correction uses a
syntax that is aligned with RFC 6960, which obsoletes RFC 6277.
> use "Reply All" to discuss whether it should be verified or rejected. 
> When a decision is reached, the verifying party can log in to change 
> the status and edit the report, if necessary.
> 

_______________________________________________
pkix mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/pkix